Estimate Credits
curl --request POST \
--url https://api.example.com/api/v1/credits/estimate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operation_type": "<string>",
"operation_count": 1,
"file_size_mb": 1,
"user_tier": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/credits/estimate"
payload = {
"operation_type": "<string>",
"operation_count": 1,
"file_size_mb": 1,
"user_tier": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operation_type: '<string>',
operation_count: 1,
file_size_mb: 1,
user_tier: '<string>'
})
};
fetch('https://api.example.com/api/v1/credits/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/credits/estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'operation_type' => '<string>',
'operation_count' => 1,
'file_size_mb' => 1,
'user_tier' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/credits/estimate"
payload := strings.NewReader("{\n \"operation_type\": \"<string>\",\n \"operation_count\": 1,\n \"file_size_mb\": 1,\n \"user_tier\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/credits/estimate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"operation_type\": \"<string>\",\n \"operation_count\": 1,\n \"file_size_mb\": 1,\n \"user_tier\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/credits/estimate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"operation_type\": \"<string>\",\n \"operation_count\": 1,\n \"file_size_mb\": 1,\n \"user_tier\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"credits_required": 1,
"operation_type": "<string>",
"operation_count": 123,
"pricing_mode": "<string>",
"unit_cost": 123,
"tier_discount": 123,
"breakdown": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}credits
Estimate Credits
Estimate credit cost for an operation without consuming credits.
Provides cost estimation based on:
- Operation type
- Operation count
- User’s current tier (for discounts)
- Current pricing configuration
Args: request: Credit estimation request with operation details current_user: Authenticated user supabase_service: Supabase service instance
Returns: CreditEstimateResponse with cost breakdown
POST
/
api
/
v1
/
credits
/
estimate
Estimate Credits
curl --request POST \
--url https://api.example.com/api/v1/credits/estimate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operation_type": "<string>",
"operation_count": 1,
"file_size_mb": 1,
"user_tier": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/credits/estimate"
payload = {
"operation_type": "<string>",
"operation_count": 1,
"file_size_mb": 1,
"user_tier": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operation_type: '<string>',
operation_count: 1,
file_size_mb: 1,
user_tier: '<string>'
})
};
fetch('https://api.example.com/api/v1/credits/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/credits/estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'operation_type' => '<string>',
'operation_count' => 1,
'file_size_mb' => 1,
'user_tier' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/credits/estimate"
payload := strings.NewReader("{\n \"operation_type\": \"<string>\",\n \"operation_count\": 1,\n \"file_size_mb\": 1,\n \"user_tier\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/credits/estimate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"operation_type\": \"<string>\",\n \"operation_count\": 1,\n \"file_size_mb\": 1,\n \"user_tier\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/credits/estimate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"operation_type\": \"<string>\",\n \"operation_count\": 1,\n \"file_size_mb\": 1,\n \"user_tier\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"credits_required": 1,
"operation_type": "<string>",
"operation_count": 123,
"pricing_mode": "<string>",
"unit_cost": 123,
"tier_discount": 123,
"breakdown": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Credit cost estimation response model.
Credits required for operation
Required range:
x >= 0Type of operation
Number of operations
Current pricing mode
Cost per unit
Tier discount applied
Cost breakdown by component
Show child attributes
Show child attributes
⌘I